Page MenuHomePhabricator

Deploy/Undeploy Quicksurvey for reader demographics pilot
Closed, ResolvedPublic

Description

SurveyDurationStart Date and timeEnd Date
reader-demographics-en-pilot~29 hours2019/3/4 @ 1900 UTC (1400 EST)2019/3/5 @ 1900 EST

The goal is to achieve ~500 responses in this pilot. Based on past surveys (T209882#4867368), this should be a 0.004 coverage value for 24 hours.

enwiki => [
    'enabled' => true,
    "name" => "reader-demographics-en-pilot",
    "type" => "external", 
    "description" => "Reader-demographics-1-description",
    "link" => "Reader-demographics-1-link",
    "question" => "Reader-demographics-1-message",
    "privacyPolicy" => "Reader-demographics-1-privacy",
    "coverage" => 0.004, // 1 out of 250
    "instanceTokenParameterName" => "entry.1791119923",
    "platforms" => [
        "desktop"=> ["stable"],
        "mobile"=> ["stable"]
    ],
]

Details

Related Gerrit Patches:
operations/mediawiki-config : masterDisable reader demographics survey
operations/mediawiki-config : masterEnable reader demographics survey
operations/mediawiki-config : masterEnable reader demographics survey

Event Timeline

Isaac created this task.Feb 25 2019, 7:28 PM

@bmansurov: this is my draft of deployment for the reader demographics survey. current status is still waiting on finalized privacy statement (should be tomorrow) to make anything official, but your input would be useful. after talking with Leila, I now know that undeploying Friday evening is not a possibility, so could you help guide:

  • is Wednesday a possibility for launching?
  • if Wednesday is a possibility, given that we want ~500 responses and at least 24 hours for the survey to be deployed, can we undeploy Thursday (and then we would just double the current coverage)

Anything else that we should be aware of?

Also:

  • I know that none of the special survey support pages (T217049) are generated yet, but we have the permissions to do that so as soon as the privacy statement is finalized, I'll set that process off.

Ideally we should test the survey on the beta labs before going to production. If you can get the data ready tomorrow, I'll try and deploy to the beta cluster. Turning on on Wednesday, and turning of on Thursday sounds good.

Isaac added a comment.Feb 25 2019, 9:23 PM

@bmansurov: ahh yes, thank you! I'll ping you when the pages are set up then. Do we need any special pages specific to beta?

Isaac updated the task description. (Show Details)Feb 25 2019, 9:24 PM

Do we need any special pages specific to beta?

Yes, the same pages that you'd add the production site.

I can edit the beta wiki, but if you can get a permission to edit yourself, that'd be helpful in the future (and in this instance). Try asking Bryan Davis (bd808) or Alex Monk (krenair) to give you a permission to edit the MediaWiki namespace on the beta enwiki.

Isaac added a comment.Feb 26 2019, 6:46 PM

Thanks @bmansurov: I created a subtask for this whole project to handle the beta testing (T217171). For future documentation, I reached out to Bryan and he directed me towards the #wikimedia-releng channel, where they graciously granted me privileges. It appears that Interface Administrator is the permission that is needed.

@Isaac that's great. It would also be good to add your findings to the QuickSurvey documentation that you were writing.

Isaac added a comment.Feb 26 2019, 7:17 PM

Good point: just took care of it before I forgot :) I added the beta enwiki instructions as well as how to set the instanceTokenParameterName to pass the pageviewToken between EventLogging and the external surveys (which was something that had not been clear)

https://meta.wikimedia.org/wiki/Research:Characterizing_Wikipedia_Reader_Behaviour/Code#Stage_One:_Preparing_the_Surveys

bmansurov updated the task description. (Show Details)Feb 26 2019, 8:09 PM
bmansurov updated the task description. (Show Details)Feb 27 2019, 1:11 AM

Change 493235 had a related patch set uploaded (by Bmansurov; owner: Bmansurov):
[operations/mediawiki-config@master] Enable reader demographics survey

https://gerrit.wikimedia.org/r/493235

Change 493236 had a related patch set uploaded (by Bmansurov; owner: Bmansurov):
[operations/mediawiki-config@master] Disable reader demographics survey

https://gerrit.wikimedia.org/r/493236

bmansurov added a comment.EditedFeb 27 2019, 2:55 PM

The survey will go live at 00:00 UTC on 02/28, and will be disabled at the same time on 03/01.

Edit: the above promise didn't happen. Waiting on privacy statement.

bmansurov updated the task description. (Show Details)Mar 4 2019, 1:20 PM

Change 493235 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable reader demographics survey

https://gerrit.wikimedia.org/r/493235

Change 494292 had a related patch set uploaded (by Bmansurov; owner: Bmansurov):
[operations/mediawiki-config@master] Enable reader demographics survey

https://gerrit.wikimedia.org/r/494292

Change 494292 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable reader demographics survey

https://gerrit.wikimedia.org/r/494292

Change 493236 merged by jenkins-bot:
[operations/mediawiki-config@master] Disable reader demographics survey

https://gerrit.wikimedia.org/r/493236

Mentioned in SAL (#wikimedia-operations) [2019-03-06T00:12:39Z] <twentyafterfour@deploy1001> Synchronized wmf-config/InitialiseSettings.php: sync https://gerrit.wikimedia.org/r/#/c/operations/mediawiki-config/+/493236/ for SWAT. refs T217080 (duration: 00m 56s)

The survey has been undeployed.

Isaac closed this task as Resolved.Mar 6 2019, 12:28 AM

thanks @bmansurov ! 760 responses so plenty of data and initial glance suggests that everything went as expected. I appreciate the support!